Macaulay2 » Documentation
Packages » EdgeIdeals :: ring(HyperGraph)
next | previous | forward | backward | up | index | toc

# ring(HyperGraph) -- gives the ring of a (hyper)graph

- Function: ring
- Usage:
    `R = ring H`
- Inputs:
  - H, a hypergraph,
- Outputs:
  - R, a ring,

## Description

Every (hyper)graph is defined over some polynomial ring. This method returns the ring of a hypergraph.

    i1 : S = QQ[a..d];

    i2 : g = cycle S;

    i3 : h = inducedHyperGraph(g,{a,b,c});

    i4 : describe ring g

    o4 = QQ[a..d, Degrees => {4:1}, Heft => {1}]

    i5 : describe ring h

    o5 = QQ[a..c, Degrees => {3:1}, Heft => {1}]

## See also

- edges -- gets the edges of a (hyper)graph
- vertices(HyperGraph) -- gets the vertices of a (hyper)graph

## Ways to use this method:

- ring(HyperGraph) -- gives the ring of a (hyper)graph

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/EdgeIdeals.m2:3955:0.